> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Total sessions
> Returns info on total sessions over a given time period.
Note: The aggregation and grouping of the returned values is controlled by the optional time period given in `params`:
- one day will return values per hour
- up to 30 days returns values per day
- greater than 30 days returns values per month
- greater than a year returns values per year
## OpenAPI
````json POST /analytics/total_sessions
{
"openapi": "3.1.0",
"info": {
"title": "external-api",
"version": "1"
},
"servers": [
{
"url": "https://api.eu.xtremepush.com/api/external"
}
],
"paths": {
"/analytics/total_sessions": {
"post": {
"summary": "Total sessions",
"description": "Returns info on total sessions over a given time period.\n\n
\nNote: The aggregation and grouping of the returned values is controlled by the optional time period given in `params`:\n- one day will return values per hour\n- up to 30 days returns values per day\n- greater than 30 days returns values per month\n- greater than a year returns values per year",
"operationId": "analytics-total-sessions",
"requestBody": {
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"apptoken",
"from",
"to"
],
"properties": {
"apptoken": {
"type": "string",
"description": "Your App token"
},
"from": {
"type": "string",
"description": "Start date for the analytics query (YYYY-MM-DD)"
},
"to": {
"type": "string",
"description": "End date for the analytics query (YYYY-MM-DD)"
}
}
}
}
}
},
"responses": {
"200": {
"description": "200",
"content": {
"application/json": {
"schema": {
"oneOf": [
{
"title": "Grouped",
"type": "object",
"properties": {
"code": {
"type": "integer",
"example": "200",
"default": "0"
},
"data": {
"type": "object",
"properties": {
"periods": {
"type": "object"
}
}
},
"message": {
"type": "string",
"example": ""
},
"success": {
"type": "boolean",
"example": "true",
"default": "true"
}
}
},
{
"title": "Totals",
"type": "object",
"properties": {
"code": {
"type": "integer",
"example": "200",
"default": "0"
},
"data": {
"type": "object",
"properties": {
"totals": {
"type": "object",
"properties": {
"amount": {
"type": "string",
"example": "1015"
}
}
}
}
},
"message": {
"type": "string",
"example": ""
},
"success": {
"type": "boolean",
"example": "true",
"default": "true"
}
}
}
]
},
"examples": {
"Totals": {
"value": {
"success": "true",
"code": "200",
"data": {
"totals": {
"amount": "1383"
}
}
}
},
"Grouped": {
"value": {
"success": "true",
"code": "200",
"data": {
"periods": {
"Dec/20": {
"amount": "75"
},
"Jan/21": {
"amount": "20"
},
"Feb/21": {
"amount": "65"
},
"Mar/21": {
"amount": "80"
},
"Apr/21": {
"amount": "104"
},
"May/21": {
"amount": "120"
},
"Jun/21": {
"amount": "146"
},
"Jul/21": {
"amount": "203"
},
"Aug/21": {
"amount": "197"
},
"Sep/21": {
"amount": "245"
},
"Oct/21": {
"amount": "128"
}
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean",
"example": "false",
"default": "true"
},
"code": {
"type": "integer",
"example": "400",
"default": "0"
},
"message": {
"type": "string",
"example": "General error information"
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"text": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
}
}
},
"examples": {
"Result": {
"value": {
"success": "false",
"code": "400",
"message": "General error information",
"errors": [
{
"text": [
"Detailed information about the specific error"
]
}
]
}
}
}
}
}
}
},
"tags": [
"Analytics Methods"
]
}
}
}
}
````